/**
 * @Author：杨振忠
 * @Date 21/06/19
 * @Version 1.0
 * @Description 插件配置文件
 */

export default {
	//jwt验证配置
	jwt: {
		//鉴权失败后的回调函数
		authFail: (statusCode) => console.error(`authFail:${statusCode}`),
		//获取token地址（一般情况无需改动）
		url: "oauth-server/oauth/token",
		//获取Token时携带参数（一般情况无需改动）
		data: {
			grant_type: "refresh_token",
			scope: "server"
		},
		//获取Token时请求头（一般情况无需改动）
		header: {
			'content-type': 'application/x-www-form-urlencoded',
			// #ifdef APP-PLUS
			'Authorization': "Basic YXBwOmFwcA==",
			// #endif
			// #ifndef APP-PLUS
			'Authorization': "Basic cGM6cGM=",
			// #endif
		}
	},
	//request相关配置
	request: {
		//全局API域名
		url: "http://12316yun.net/",
		//是否全局鉴权
		withToken: true,
		//是否显示loading，false不显示
		showLoading: "加载中...",
		//请求完成后钩子函数，一般用于处理全局错误信息
		doneHook: (res, resolve, reject) => {
			try {
				let resCode = res.data.code.toString();
				if (resCode !== "0" && resCode.substr(0, 2) !== "00") {
					uni.showToast({
						title: res.data.msg,
						icon: 'none',
						duration: 2000
					})
					reject(res);
				} else {
					resolve(res);
				}
			} catch (e) {}
		}
	}
}
