import {
	createRouter
} from '@gowiny/uni-router'
import PAGE_DATA from '@/pages.json';
import config from './config'
const login = () => {
	if (process.env.NODE_ENV == 'development') {
		uni.showToast({
			icon: 'error',
			title: "需要登录！"
		})
	} else {
		location.href = config.request.url + '/login.jsp';
	}
}

const router = createRouter({
	pageData: PAGE_DATA
})

router.beforeEach(async (to, from) => {
	
	let path = to.path;
	let t;
	if (to.hasOwnProperty('query')) {
		t = to.query.t || sessionStorage.getItem('t')
	}
	if (t) {
		uni.request({
			url: `${config.request.url}api/user-service/session/queryFresheToken/${t}`,
			success(res) {
				res = res.data;
				if (res.code !== 0) {
					login();
					return false;
				}
				let tokenInfo = {
					access_token: '',
					expires_in: 0,
					expires_time: 0,
					refresh_token: res.data.refresh_token
				}
				let user_id = uni.getStorageSync('user_id');
				let userInfo = uni.getStorageSync('userInfo');
				uni.setStorageSync('user_id', res.data.userId);
				if (!uni.getStorageSync('tokenInfo') || uni.getStorageSync('tokenInfo').refresh_token != res.data.refresh_token) {
					uni.setStorageSync("tokenInfo", tokenInfo);
				}
				uni.setStorageSync("userInfo", res.data);
				sessionStorage.setItem('t', t);
				if (user_id != res.data.userId || userInfo.deptid != res.data.deptid) {
					if (user_id) {
						uni.setStorageSync("tokenInfo", tokenInfo);
					}
					uni.showLoading({
						title: "正在登录..."
					})
					setTimeout(() => {
						location.reload()
					}, 300)
				}
				return true;
			},
			fail() {
				login();
			}
		})
	} else {
		login();
	}
})

export default router